File zoom
Closed, ArchivedPublic

Description

This patch enables to change sizes of thumbnails in file browser.

* Adds slider to zoom in image mode
* ctrl+scroll also changes sizes.

Forgot DNA and RNA defintions

Alexander Kuznetsov (alexk) added a comment.Via Old WorldJul 5 2011, 6:36 AM

Sorry, one file was not consistent in newlines, causing svn to abort patch creation.
Should work now! (patch 3)

Is this patch still relevant/alive?

Sounds really useful - often the thumbnails are too small to find the one you are looking for. +1 for this one from me, if it's not slowing down the file browser.

I really like this! I too find the thumbnails to be too small. The keybinding seems nice too, but it does clash with the default for zooming interfaces, which is ctrl-mmb-drag.

I haven't been able to check out the patch yet but definitely a +1 on the the feature from me.

Julian Eisel (Severin) claimed this task.Via WebDec 6 2014, 1:16 AM

Let me claim that @Andrea Weikert (elubie), I think this is a candidate for 2.74. @Alexander Kuznetsov (alexk), will you be available to update the patch for latest master and during review?

Julian Eisel (Severin) added a comment.EditedVia WebJan 6 2015, 8:49 PM

@Alexander Kuznetsov (alexk), could you upload the patch to the Differential tool? Would like to review this week and Differential is quite useful for that ;)

Sean Olson (liquidape) added a comment.Via WebJan 11 2015, 9:57 PM

I've not tried the patch, but was just pointed at it by severin after I requested this very feature. Does ctrl+mmb work as well? Also - bindable options in keybinds I assume?

Julian Eisel (Severin) added a comment.Via WebJan 11 2015, 9:59 PM

@Sean Olson (liquidape), looking at the patch - yes to both

As in The future one better fix for this is adding a right click option or something of the sort to open in the image viewer for images and blender player for animations but of coarse that takes a bit more code :)

And how is this with the caching of images, does it cache each new size or does it scale the cached image. If it does not use a cached image i can see this being a memory issue. This would probably make the above future option a better long term solution.

Lapineige added a subscriber: Lapineige.Via WebJan 27 2015, 12:14 AM

Initial code review:

  • Currently it makes all thumbnails large and scales them down. (the thumbnail size should be linked with the actual display size)
  • Currently it uses an operator to change thumbnail size, it should really be able to use an RNA attribute and a notifier to cause the file-selector to update.
Julian Eisel (Severin) closed this task as "Archived".Via WebMay 9 2015, 1:27 AM

A different patch with similar functionality was committed (rB054aa61f3c9af0) so closing this. But thanks a lot for the patch nevertheless.

Add Comment